package controllers

import (
	"58team_blog/internal/application/services"

	"github.com/gin-gonic/gin"
)

type UserController struct {
	service *services.UserService
}

func CreateUserController(service *services.UserService) UserController {
	return UserController{
		service: service,
	}
}

// @Summary		Create new user
// @Description	Creates new user in system
// @Param			path	query	string	true	"Path to image"
// @Produce
// @Success		200
// @Router			/images/{path} [get]
func (r *UserController) Post(c *gin.Context) {
	// TODO: return image
	panic("Not implemented")
}

func (r *UserController) FindById(c *gin.Context) {

}

func (r *UserController) FindByName(c *gin.Context) {

}

func (r *UserController) GetAll(c *gin.Context) {
	// TODO: return image
	panic("Not implemented")
}

func (r *UserController) Put(c *gin.Context) {

}

func (r *UserController) Delete(c *gin.Context) {
	// TODO: return image
	panic("Not implemented")
}
